# Uses of Class
org.apache.zookeeper.server.NIOServerCnxn

Packages that use NIOServerCnxn
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller

## Uses of NIOServerCnxn in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return NIOServerCnxn
Modifier and Type
Method
Description
`protected NIOServerCnxn`
NIOServerCnxnFactory.`createConnection(SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory.SelectorThread selectorThread)`
Methods in org.apache.zookeeper.server with parameters of type NIOServerCnxn
Modifier and Type
Method
Description
`boolean`
NIOServerCnxnFactory.`removeCnxn(NIOServerCnxn cnxn)`
De-registers the connection from the various mappings maintained by the factory.
`void`
NIOServerCnxnFactory.`touchCnxn(NIOServerCnxn cnxn)`
Add or update cnxn in our cnxnExpiryQueue

## Uses of NIOServerCnxn in org.apache.zookeeper.server.controller

Subclasses of NIOServerCnxn in org.apache.zookeeper.server.controller
Modifier and Type
Class
Description
`class`
`ControllableConnection`
Extension of NIOServerCnxn which can inject changes per controller commands.
Methods in org.apache.zookeeper.server.controller that return NIOServerCnxn
Modifier and Type
Method
Description
`protected NIOServerCnxn`
ControllableConnectionFactory.`createConnection(SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory.SelectorThread selectorThread)`